## org.apache.jasper.compiler
Class MappedCharDataGenerator

    java.lang.Object
      |
      +--org.apache.jasper.compiler.GeneratorBase
            |
            +--org.apache.jasper.compiler.CharDataGenerator
                  |
                  +--org.apache.jasper.compiler.MappedCharDataGenerator

All Implemented Interfaces:
  Generator, ServiceMethodPhase

public class MappedCharDataGenerator
extends CharDataGenerator

CharDataGenerator generates the character data present in the JSP file. Typically this is HTML which lands up as strings in out.println(...). This generator will print the HTML line-by-line. This is a feature desired by lots of tool vendors.

Author:
  Mandar Raje

Field Summary

Fields inherited from class org.apache.jasper.compiler.CharDataGenerator
`ctxt`

Constructor Summary
`MappedCharDataGenerator(char[] chars)`

Method Summary
`void` `generate(ServletWriter writer, java.lang.Class phase)`

Methods inherited from class org.apache.jasper.compiler.CharDataGenerator
`generateCoordinates, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappedCharDataGenerator

    public MappedCharDataGenerator(char[] chars)

Method Detail

### generate

    public void generate(ServletWriter writer,
                         java.lang.Class phase)

  Specified by:
    `generate` in interface `Generator`
  Overrides:
    `generate` in class `CharDataGenerator`

Copyright © 2000 Apache Software Foundation. All Rights Reserved.